/**********************************************************************************************/
/* FBL_Progresser.h																			  */
/*                                                                       					  */
/* Foundation Base Library ( FBL )		                                   					  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved.                                                 					  */
/**********************************************************************************************/
 
#ifndef __FBL_Progresser_h
	#define __FBL_Progresser_h

#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/FBL.h>
#else
#	include <FBL.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_Task;


/**********************************************************************************************/ 
// The abstarct class.
// Must be used as the base class for class which implements displaying of task progress

class FBL_Progresser
{
	public:

virtual					~FBL_Progresser( void ) {}

virtual	void			SetValue( ushort /* inValue */ ) {}
virtual	ushort			GetValue( void ) { return 0; }

virtual	void			SetTitle( const char* /* inTitle */ ) {}

	public:

		FBL_Task*		mTask;	// the progresser must be able to cancel task.
};


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif
