/**********************************************************************************************/
/* VDK_Boolean.h																			  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_Boolean_h 
	#define __VDK_Boolean_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#else
#	include <VDK_Field.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_Boolean : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP						VDK_Boolean( const char* inName, ushort	inFlags = 0 );
virtual						~VDK_Boolean( void ) {}
		
		/* Value methods: */
		
FBL_EXP	void					operator =( bool inValue ); 
FBL_EXP							operator bool( void ) const; 
		
		/* Search methods: */
		
		FBL_BitSet* 			Find( const bool* inKey = NULL ) { 
									return VDK_Field::Find( inKey ); 
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  

